<?php
/*
 * Мобильный макет (базовый)
 */

/*
 * Реклама сверху
 */
$advTopProvider = AdvMemory::loadLinks (Adv::LOCATION_TOP);

/*
 * Реклама снизу
 */
$advBottomProvider = AdvMemory::loadLinks (Adv::LOCATION_BOTTOM);

echo '<?xml version="1.0" encoding="utf-8"?>';
?>

<!DOCTYPE html PUBLIC "-//WAPFORUM//DTD XHTML Mobile 1.0//EN" "http://www.wapforum.org/DTD/xhtml-mobile10.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ru">

<head>
    <link rel="shortcut icon" href="<?php echo Yii::app()->theme->baseUrl ?>/favicon.ico" />
    <link rel="stylesheet" href="<?php echo Yii::app()->theme->baseUrl ?>/style.css" type="text/css" />

    <link rel="alternate" type="application/rss+xml" href="<?php echo $this->createUrl ('//rss') ?>" title="<?php echo CHtml::encode (Yii::app ()->config->rss_title) ?>" />
    <link rel="alternate" type="application/rss+xml" href="<?php echo $this->createUrl ('//rss/lastComments') ?>" title="Последние комментарии" />
    <link rel="alternate" type="application/rss+xml" href="<?php echo $this->createUrl ('//rss/category', array ('id' => Category::ID_NEWS)) ?>" title="<?php echo CHtml::encode (Category::model ()->findByPk (Category::ID_NEWS)->title) ?>" />

    <title><?php echo CHtml::encode ($this->pageTitle);
if (!$this->isIndex ()) echo CHtml::encode (Yii::app ()->config->title_postfix) ?></title>
<?php if (!empty ($this->keyWords)): ?>
    <meta name="Keywords" content="<?php echo CHtml::encode ($this->keyWords) ?>" />
<?php endif; ?>
<?php if (!empty ($this->description)): ?>
    <meta name="Description" content="<?php echo CHtml::encode ($this->description) ?>" />
<?php endif; ?>
</head>

<body>

<!-- Скрипт писал Replikon =) -->

<div class="page">

<div class="head"></div>

<div class="quick">
    <?php
    // Навигация
    $navLinks1 = array ();
    if (!Yii::app ()->user->isGuest && Yii::app()->controller->id != 'admin') $navLinks1[] = '<a href="' . $this->createUrl ('//admin') . '">Админка</a>';
    $navLinks1[] = '<a href="' . $this->createUrl ('//staticPage/view', array ('id' => StaticPage::ID_ABOUT)) . '">О блоге</a>';
    $navLinks1[] = '<a href="' . $this->createUrl ('//comment/last') . '">Последние комментарии</a>';
    $navLinks1[] = '<a href="' . $this->createUrl ('//rating/top') . '">Top 10 статей</a>';

    $this->widget ('linkNavi', array ('links' => $navLinks1));
    ?>
</div>

<?php   // Новые комментарии
        $this->renderPartial ('//layouts/_new_comments', array ('config' => Yii::app ()->config)) ?>

<?php   // Реклама
        $this->renderPartial ('//adv', array ('advProvider' => $advTopProvider)) ?>

<div class="page_in">

<?php if ($this->printTopTitle): ?>
<div class="title">
    <?php echo CHtml::encode ($this->pageTitle) ?>

</div>
<?php endif; ?>

<!-- content -->

<?php echo $content ?>


<!-- /content -->

</div>

<?php   // Реклама
        $this->renderPartial ('//adv', array ('advProvider' => $advBottomProvider)) ?>

<?php// if (!$this->isIndex () || !Yii::app ()->user->isGuest): ?>
<div class="quick">
    <?php
    // Навигация
    $navLinks2 = array ();
    if (!$this->isIndex ()) $navLinks2[] = '<a href="' . Yii::app()->request->baseUrl . '">На главную</a>';
    if (!Yii::app ()->user->isGuest)
    {
        $navLinks2[] = '<a href="' . $this->createUrl ('//login/logout') . '">Выход (' . CHtml::encode (Yii::app()->user->getModel ()->login) . ')</a>';
    }
    $navLinks2[] = '<a href="' . $this->createUrl ('//staticPage/view', array ('id' => '2')) . '">Рекламодателям</a>';

    $this->widget ('linkNavi', array ('links' => $navLinks2));
    ?>
</div>
<?php //endif; ?>

<div class="foot">
    <?php echo CHtml::encode (Yii::app ()->config->copyright) ?>
 <?php      // Копирайт диза
            if (file_exists (Yii::app ()->theme->viewPath . '/dizCopy.php')) $this->renderPartial ('//dizCopy') ?>
<br /><?php // Вывод времени ЗАПРОСОВ К БАЗЕ (только запросов, не времени работы скрипта)
            //print_r (Yii::app ()->db->getStats ()) ?>
</div>

<div class="count">
    <!-- Счетчики -->
</div>

</div>

</body>
</html>